pieceOnBoard.h File Reference
`#include "osl/numEffectState.h"`

Go to the source code of this file.

## Classes

struct | osl::move_generator::PieceOnBoard< Action, noCapturePromote >
| 特定のpieceを動かす手を生成 More...
struct | osl::move_generator::GeneratePieceOnBoard
struct | osl::GeneratePieceOnBoard

## Namespaces

namespace | osl
namespace | osl::move_generator

## Enumerations

enum | osl::move_generator::PromoteType { osl::move_generator::NoPromoteType =0 , osl::move_generator::CanPromoteType =1 , osl::move_generator::CheckPromoteType =2 , osl::move_generator::MustPromoteType =3 }